/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.usuarios_lista', {
            url: '/usuarios?pagina&ordenamiento&buscar',
            templateUrl: 'templates/usuarios/usuarios-list.html' + random,
            controller: 'UsuariosListCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/usuarios-controllers.js' + random,
                            'js/services/usuarios-services.js' + random,
                            'js/services/roles-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);
